
local FOLDER_NAME, SSA = ...

local L = LibStub("AceLocale-3.0"):GetLocale("ShamanAuras", true);
local Auras = LibStub("AceAddon-3.0"):GetAddon("ShamanAuras");
local AceGUI = LibStub("AceGUI-3.0");

local lg,sm,gl = 23,19,31; -- Square Dimensions: Large, Small, Glow
local bg,low,med,high = "BACKGROUND","LOW","MEDIUM","HIGH";

--[[local BackdropSB = {
	bgFile   = "Interface\\Tooltips\\UI-Tooltip-Background",
	edgeFile = nil,
	tile = true,
	tileSize = 16
}]]

--[[

	___ICONS (LARGE)___

]]

-- Ancestral Guidance
SSA.Guidance = CreateFrame("Frame","AncestralGuidance",nil);
local Guidance = SSA.Guidance;
Guidance:SetFrameStrata(low);
Guidance:SetWidth(lg);
Guidance:SetHeight(lg);

Guidance.texture = Guidance:CreateTexture(nil,"BACKGROUND");
Guidance.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\ICONS\\shared\\ancestral_guidance");
Guidance.texture:SetAllPoints(Guidance);



-- Gust of Wind
--[[SSA.GustWind = CreateFrame("Frame","GustWind",nil);
local GustWind = SSA.GustWind;
GustWind:SetFrameStrata(low);
GustWind:SetWidth(lg);
GustWind:SetHeight(lg);

GustWind.texture = GustWind:CreateTexture(nil,"BACKGROUND");
GustWind.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\ICONS\\shared\\gust_of_wind");
GustWind.texture:SetAllPoints(GustWind);]]

--[[

	___ICONS (SMALL)___

]]
-- WindShear
--[[SSA.WindShear = CreateFrame("Frame","WindShear",nil);
local WindShear = SSA.WindShear;
WindShear:SetFrameStrata(low);
WindShear:SetWidth(sm);
WindShear:SetHeight(sm);
WindShear:SetPoint("CENTER",-124,-91);

WindShear.texture = WindShear:CreateTexture(nil,"BACKGROUND");
WindShear.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\ICONS\\shared\\wind_shear");
WindShear.texture:SetAllPoints(WindShear);]]

--WindShear:Show();

-- Hex
--[[SSA.Hex = CreateFrame("Frame","Hex",nil);
local Hex = SSA.Hex;
Hex:SetFrameStrata(low);
Hex:SetWidth(sm);
Hex:SetHeight(sm);
Hex:SetPoint("CENTER",-124,-113);

Hex.texture = Hex:CreateTexture(nil,"BACKGROUND");
Hex.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\ICONS\\shared\\hex");
Hex.texture:SetAllPoints(Hex);]]

--Hex:Show();

-- Astral Shift
--[[SSA.AstralShift = CreateFrame("Frame","AstralShift",nil);
local AstralShift = SSA.AstralShift;
AstralShift:SetFrameStrata(low);
AstralShift:SetWidth(sm);
AstralShift:SetHeight(sm);
AstralShift:SetPoint("CENTER",124,-135);

AstralShift.texture = AstralShift:CreateTexture(nil,"BACKGROUND");
AstralShift.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\ICONS\\shared\\astral_shift");
AstralShift.texture:SetAllPoints(AstralShift);

--AstralShift:Show();
AstralShift:Hide();]]

--[[

	___PROGRESS BARS___

]]

--[[SSA.MaelstromBar = CreateFrame("StatusBar","MaelstromBar",UIParent);
local MaelstromBar = SSA.MaelstromBar;

MaelstromBar:SetStatusBarTexture("Interface\\addons\\ShamanAuras\\media\\statusbar\\whole");
MaelstromBar:GetStatusBarTexture():SetHorizTile(false);
MaelstromBar:GetStatusBarTexture():SetVertTile(false);
MaelstromBar:SetPoint("CENTER",UIParent,"CENTER",0,-139);
MaelstromBar:SetWidth(260);
MaelstromBar:SetHeight(21);
MaelstromBar:SetFrameStrata("LOW");
MaelstromBar:SetStatusBarColor(0,0.5,1);
MaelstromBar:Hide();

MaelstromBar.bg = MaelstromBar:CreateTexture(nil,"BACKGROUND");
MaelstromBar.bg:SetTexture("Interface\\TargetingFrame\\UI-StatusBar");
MaelstromBar.bg:SetAllPoints(true);
MaelstromBar.bg:SetVertexColor(0,0,0);
MaelstromBar.bg:SetAlpha(0.5);

MaelstromBar.text = MaelstromBar:CreateFontString(nil, "HIGH", "GameFontHighlightLarge");
MaelstromBar.text:SetPoint("CENTER",MaelstromBar,"CENTER",0,0);
MaelstromBar.text:SetFont("Fonts\\FRIZQT__.TTF", 12);
MaelstromBar.text:SetTextColor(1,1,1,1);

MaelstromBar.Lightning = CreateFrame("PlayerModel","MaelstromBarLightning",MaelstromBar);
MaelstromBar.Lightning:SetModel("SPELLS/LIGHTNING_AREA_DISC_STATE.m2");
MaelstromBar.Lightning:SetFrameStrata("MEDIUM");
MaelstromBar.Lightning:SetPosition(0,0,-2);
MaelstromBar.Lightning:SetAllPoints(MaelstromBar);
MaelstromBar.Lightning:SetAlpha(0);]]

--[[SSA.AscendanceBar = CreateFrame("StatusBar","AscendanceBar",UIParent);
Auras:CreateVerticalStatusBar(SSA.AscendanceBar,210,-125,17,175,0.98,0.57,1,L["Ascendance"],15);

SSA.AstralShiftBar = CreateFrame("StatusBar","AstralShiftBar",UIParent);
Auras:CreateVerticalStatusBar(SSA.AstralShiftBar,210,-125,17,175,0.94,0.22,1,L["Astral Shift"],8);

SSA.GuidanceBar = CreateFrame("StatusBar","AncestralGuidanceBar",UIParent);
Auras:CreateVerticalStatusBar(SSA.GuidanceBar,210,-125,17,175,0.2,0.42,1,L["Ancestral Guidance"],10);]]

--[[

	PROGRESS TEXTURES

]]




--[[

	___TOTEMS___

]]
-- Earthgrab
SSA.Earthgrab = CreateFrame("Frame","EarthgrabTotem",nil);
local Earthgrab = SSA.Earthgrab;
Earthgrab:SetFrameStrata(low);
Earthgrab:SetWidth(lg);
Earthgrab:SetHeight(lg);
Earthgrab:Show();

Earthgrab.texture = Earthgrab:CreateTexture(nil,"BACKGROUND");
Earthgrab.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\icons\\totems\\earthgrab_totem");
Earthgrab.texture:SetAllPoints(Earthgrab);

-- Lightning Surge
SSA.LightningSurge = CreateFrame("Frame","LightningSurgeTotem",nil);
local LightningSurge = SSA.LightningSurge;
LightningSurge:SetFrameStrata(low);
LightningSurge:SetWidth(lg);
LightningSurge:SetHeight(lg);
LightningSurge:Show();

LightningSurge.texture = LightningSurge:CreateTexture(nil,"BACKGROUND");
LightningSurge.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\icons\\totems\\lightning_surge_totem");
LightningSurge.texture:SetAllPoints(LightningSurge);

-- Voodoo
SSA.Voodoo = CreateFrame("Frame","VoodooTotem",nil);
local Voodoo = SSA.Voodoo;
Voodoo:SetFrameStrata(low);
Voodoo:SetWidth(lg);
Voodoo:SetHeight(lg);
Voodoo:Show();

Voodoo.texture = Voodoo:CreateTexture(nil,"BACKGROUND");
Voodoo.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\icons\\totems\\voodoo_totem");
Voodoo.texture:SetAllPoints(Voodoo);

-- Wind Rush
SSA.WindRush = CreateFrame("Frame","WindRushTotem",nil);
local WindRush = SSA.WindRush;
WindRush:SetFrameStrata(low);
WindRush:SetWidth(lg);
WindRush:SetHeight(lg);
WindRush:Show();

WindRush.texture = WindRush:CreateTexture(nil,"BACKGROUND");
WindRush.texture:SetTexture("Interface\\addons\\ShamanAuras\\media\\icons\\totems\\wind_rush_totem");
WindRush.texture:SetAllPoints(WindRush);